Bug 906264 - [RHEVM] [backend] Cannot add RHEL 3.0 host into RHEVM 3.1 (cluster 3.0) - SSH copy failed, invalid localDigest
[RHEVM] [backend] Cannot add RHEL 3.0 host into RHEVM 3.1 (cluster 3.0) - SS...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.2
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Alon Bar-Lev
Martin Pavlik
infra
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 05:32 EST by Martin Pavlik
Modified: 2016-02-10 14:16 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-03 06:36:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log_collector (1.99 MB, application/x-xz)
2013-01-31 05:32 EST, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2013-01-31 05:32:11 EST
Created attachment 690829 [details]
log_collector

Description of problem:
Cannot add RHEL 3.0 host into RHEVM - SSH copy failed, invalid localDigest

Version-Release number of selected component (if applicable):
rhevm-3.1.0-43.el6ev.noarch
vdsm-bootstrap-4.9.6-45.1.el6_3.noarch
vdsm-4.9-113.4.el6_3.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install rhel 6.3 on host, install vdsm vdsm-4.9-113.4.el6_3.x86_64 on host
2. create DC/CL 3.0 in si26.1
3. add new host to CL 3.0
  
Actual results:
Error: SSH could not receive file 10.34.66.51:'/tmp/cert_9448f57a-2b1e-4235-9f6a-03a759c9372f.req': '/etc/pki/ovirt-engine/requests/cert_9448f57a-2b1e-4235-9f6a-03a759c9372f.req'. (Stage: Downloading certificate request from Host)

Expected results:
host added

engine.log

Additional info:2013-01-31 11:11:48,165 INFO  [org.ovirt.engine.core.utils.hostinstall.VdsInstallerSSH] (pool-3-thread-5) SSH receive 10.34.66.51:'/tmp/cert_9448f57a-2b1e-4235-9f6a-03a759c9372f.req' '/etc/pki/ovirt-engine/requests/cert_9448f57a-2b1e-4235-9f6a-03a759c9372f.req')
2013-01-31 11:11:48,220 ERROR [org.ovirt.engine.core.utils.hostinstall.VdsInstallerSSH] (pool-3-thread-5) SSH could not receive file 10.34.66.51:'/tmp/cert_9448f57a-2b1e-4235-9f6a-03a759c9372f.req': '/etc/pki/ovirt-engine/requests/cert_9448f57a-2b1e-4235-9f6a-03a759c9372f.req': java.io.IOException: SSH copy failed, invalid localDigest
	at org.ovirt.engine.core.utils.ssh.SSHClient._validateDigest(SSHClient.java:105) [engine-utils.jar:]
	at org.ovirt.engine.core.utils.ssh.SSHClient.receiveFile(SSHClient.java:662) [engine-utils.jar:]
	at 
.....
Comment 1 Alon Bar-Lev 2013-05-02 05:52:22 EDT
Hi,

Stupid question... but do you have md5sum on host where vdsm is installed?

Can I access this setup?

Thanks!
Alon
Comment 2 Martin Pavlik 2013-05-03 06:36:11 EDT
It seems that BZ is not reproducible with 

si28.1
Red Hat Enterprise Linux Server release 6.4 (Santiago)
vdsm-4.9-113.4.el6_3

closing the bug as current release
Comment 3 Alon Bar-Lev 2013-05-03 06:42:54 EDT
I guess this was something in the environment not in the product... well, just guess.

Note You need to log in before you can comment on or make changes to this bug.